net.corda.node.services.network

## Class NetworkMapService.FetchMapResponse

- net.corda.node.services.network.NetworkMapService.FetchMapResponse

- Enclosing interface:
    NetworkMapService

      public static class NetworkMapService.FetchMapResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FetchMapResponse(java.util.Collection<net.corda.node.services.network.NodeRegistration> nodes, int version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<net.corda.node.services.network.NodeRegistration>` | `component1()`
    `int` | `component2()`
    `NetworkMapService.FetchMapResponse` | `copy(java.util.Collection<net.corda.node.services.network.NodeRegistration> nodes, int version)`
    `boolean` | `equals(java.lang.Object p)`
    `java.util.Collection<net.corda.node.services.network.NodeRegistration>` | `getNodes()`
    `int` | `getVersion()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### FetchMapResponse

          public FetchMapResponse(java.util.Collection<net.corda.node.services.network.NodeRegistration> nodes,
                                  int version)

  - ### Method Detail

    - #### getNodes

          public java.util.Collection<net.corda.node.services.network.NodeRegistration> getNodes()

    - #### getVersion

          public int getVersion()

    - #### component1

          public java.util.Collection<net.corda.node.services.network.NodeRegistration> component1()

    - #### component2

          public int component2()

    - #### copy

          public NetworkMapService.FetchMapResponse copy(java.util.Collection<net.corda.node.services.network.NodeRegistration> nodes,
                                                         int version)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)